%define name		freeradius
%define version		0.8.1
%define release		1mdk

Summary:		High-performance and highly configurable RADIUS server
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		ftp://ftp.freeradius.org/pub/radius/%{name}-%{version}.tar.gz
Source1:		ftp://ftp.freeradius.org/pub/radius/%{name}-%{version}.tar.gz.sig
Source2:		%{name}.pam.bz2
Source3:		%{name}.init.bz2
Source4:		%{name}.logrotate.bz2
Source5:		%{name}.apache.conf.bz2
Patch0:			%{name}-0.8.1-config.patch.bz2
URL:			http://www.freeradius.org/
License:		GPL
Group:			System/Servers
PreReq:			rpm-helper
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Requires:		libltdl3
Requires:		libnet-snmp50
Requires:		net-snmp
Requires:		net-snmp-mibs
Requires:		net-snmp-utils
Requires:		libopenssl0.9.7
Requires:		libgdbm2
BuildRequires:		krb5-devel
BuildRequires:		libgdbm2-devel
BuildRequires:		libldap2-devel libsasl7-devel
BuildRequires:		libltdl3-devel
BuildRequires:		libmysql12-devel
BuildRequires:		libnet-snmp50-devel
BuildRequires:		libopenssl0.9.7-devel
BuildRequires:		libtool
BuildRequires:		libunixODBC2-devel
BuildRequires:		net-snmp
BuildRequires:		pam-devel
BuildRequires:		postgresql-devel libpq3-devel
BuildRequires:		zlib-devel
Conflicts:		radiusd-cistron

%description
The FreeRADIUS Server Project is a high-performance and highly
configurable GPL'd RADIUS server. It is somewhat similar to the
Livingston 2.0 RADIUS server, but has many more features, and is
much more configurable.

%package		krb5
Summary:		The Kerberos module for %{name}
Group:			System/Servers
Requires:		krb5-libs
Requires:		%{name} = %{version}

%description		krb5
The FreeRADIUS server can use Kerberos to authenticate users, and
this module is necessary for that.

%package		ldap
Summary:		The LDAP module for %{name}
Group:			System/Servers
Requires:		libldap2 libsasl7
Requires:		%{name} = %{version}

%description		ldap
The FreeRADIUS server can use LDAP to authenticate users, and this
module is necessary for that.

%package		postgresql
Summary:		The PostgreSQL module for %{name}
Group:			System/Servers
Requires:		libpq3
Requires:		%{name} = %{version}

%description		postgresql
The FreeRADIUS server can use PostgreSQL to authenticate users and
do accounting, and this module is necessary for that.

%package		mysql
Summary:		The MySQL module for %{name}
Group:			System/Servers
Requires:		libmysql12
Requires:		%{name} = %{version}

%description		mysql
The FreeRADIUS server can use MySQL to authenticate users and do
accounting, and this module is necessary for that.

%package		unixODBC
Summary:		The unixODBC module for %{name}
Group:			System/Servers
Requires:		libunixODBC2
Requires:		%{name} = %{version}

%description		unixODBC
The FreeRADIUS server can use unixODBC to authenticate users and
do accounting, and this module is necessary for that.

#%package		web
#Summary:		Web based administration interface for %{name}
#Group:			System/Servers
#Requires:		apache2 mysqlserver ldapserver mod_php php-common php-mysql php-ldap
#Requires:		%{name} = %{version}
#
#%description		web
#dialup_admin is a web based administration interface for the
#freeradius radius server. It is written in PHP4. It is modular
#and right now it assumes that user information is stored in an
#ldap server or an sql database and accounting in an sql server.

%package		devel
Summary:		Development headers and libraries for %{name}
Group:			Development/C
Requires:		%{name} = %{version}

%description		devel
Development headers and libraries for %{name}

%prep 

%setup -q -n %{name}-%{version}
%patch0 -p0

# fix the web gui (ugly, but nessesary...)
#pushd dialup_admin
#    find . -type f | xargs perl -p -i -e "s|/usr/local/dialup_admin|%{_datadir}/%{name}-web|g"
#    find . -type f | xargs perl -p -i -e "s|/usr/local/bin|%{_bindir}|g"
#    find . -type f | xargs perl -p -i -e "s|/usr/local/sbin|%{_sbindir}|g"
#    find . -type f | xargs perl -p -i -e "s|/usr/local/snmpd/bin|%{_bindir}|g"
#    find . -type f | xargs perl -p -i -e "s|/usr/local/mysql/bin|%{_bindir}|g"
#    find . -type f | xargs perl -p -i -e "s|/usr/local/radiusd|/|g"
#
#    # move php3 to php
#    find * -name '*.php3' | while read php3; do
#	mv $php3 ${php3%%.php3}.php
#    done
#
#    find . -type f | xargs perl -p -i -e "s|\.php3|\.php|g"
#popd

%build

%serverbuild

%configure \
    --enable-shared \
    --enable-static \
    --libdir=%{_libdir}/%{name} \
    --libexecdir=%{_libdir}/%{name} \
    --localstatedir=/var \
    --disable-ltdl-install \
    --with-ltdl-lib=%{_libdir} \
    --with-ltdl-include=%{_includedir} \
    --with-system-libtool \
    --with-logdir=/var/log/radius \
    --with-radacctdir=/var/log/radius/radacct \
    --with-raddbdir=%{_sysconfdir}/raddb \
    --with-snmp \
    --with-static-modules="" \
    --enable-developer
#    --with-experimental-modules

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}/var/run/radiusd
install -d %{buildroot}%{_includedir}/%{name}

make install R=%{buildroot}

# install mandrake scripts and stuff...
bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/pam.d/radiusd
bzcat %{SOURCE3} > %{buildroot}%{_initrddir}/radiusd
bzcat %{SOURCE4} > %{buildroot}%{_sysconfdir}/logrotate.d/radiusd
chmod 644 %{buildroot}%{_sysconfdir}/pam.d/radiusd
chmod 644 %{buildroot}%{_sysconfdir}/logrotate.d/radiusd
chmod 755 %{buildroot}%{_initrddir}/radiusd

# install the web gui
#install -d %{buildroot}%{_sysconfdir}/httpd/conf.d
#pushd dialup_admin
#    cp -aRf bin %{buildroot}%{_datadir}/%{name}-web/
#    cp -aRf sql %{buildroot}%{_datadir}/%{name}-web/
#    cp -aRf conf %{buildroot}%{_datadir}/%{name}-web/
#    cp -aRf htdocs %{buildroot}%{_datadir}/%{name}-web/
#    cp -aRf html/* %{buildroot}%{_datadir}/%{name}-web/htdocs/
#    cp -aRf lib %{buildroot}%{_datadir}/%{name}-web/htdocs/
#popd

#install -d %{buildroot}%{_datadir}/%{name}-web
#bzcat %{SOURCE5} > %{buildroot}%{_sysconfdir}/httpd/conf.d/a11_freeradius.conf
#chmod 644 %{buildroot}%{_sysconfdir}/httpd/conf.d/a11_freeradius.conf

# put the mibs in place
install -d %{buildroot}%{_datadir}/snmp/mibs
install -m644 mibs/GNOME* mibs/RADIUS* %{buildroot}%{_datadir}/snmp/mibs/

# install headers
install -m644 src/include/*  %{buildroot}%{_includedir}/%{name}/

# fix ghostfiles
touch %{buildroot}/var/log/radius/radutmp
touch %{buildroot}/var/log/radius/radwtmp
touch %{buildroot}/var/log/radius/radius.log

# remove unneeded stuff
rm -f %{buildroot}%{_sbindir}/rc.radiusd

# this annoying file gets installed on ML9.0, remove it...
rm -f %{buildroot}%{_sysconfdir}/raddb/Makefile

%pre
%_pre_useradd radius /var/log/radius/radacct /bin/false

%post
%_post_service radiusd
%create_ghostfile /var/log/radius/radutmp radius radius 0644
%create_ghostfile /var/log/radius/radwtmp radius radius 0644
%create_ghostfile /var/log/radius/radius.log radius radius 0644

%preun
%_preun_service radiusd

%postun
%_postun_userdel radius

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc todo COPYRIGHT CREDITS INSTALL LICENSE README
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/pam.d/radiusd
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/radiusd
%config(noreplace) %attr(0755,root,root) %{_initrddir}/radiusd
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/raddb/[a-ce-z]*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/raddb/d*
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_mandir}/man5/*
%attr(0644,root,root) %{_mandir}/man8/*

%{_bindir}/radclient
%{_bindir}/radlast
%{_bindir}/radrelay
%{_bindir}/radtest
%{_bindir}/raduse
%{_bindir}/radwho
%{_bindir}/radzap
%{_bindir}/rlm_dbm_cat
%{_bindir}/rlm_dbm_parser
%{_bindir}/smbencrypt

%{_sbindir}/check-radiusd-config
%{_sbindir}/checkrad
%{_sbindir}/radiusd
%{_sbindir}/radwatch

%{_libdir}/%{name}/libradius-%{version}.so
%{_libdir}/%{name}/rlm_acct_unique-%{version}.so
%{_libdir}/%{name}/rlm_always-%{version}.so
%{_libdir}/%{name}/rlm_attr_filter-%{version}.so
%{_libdir}/%{name}/rlm_attr_rewrite-%{version}.so
%{_libdir}/%{name}/rlm_chap-%{version}.so
%{_libdir}/%{name}/rlm_counter-%{version}.so
%{_libdir}/%{name}/rlm_dbm-%{version}.so
%{_libdir}/%{name}/rlm_detail-%{version}.so
%{_libdir}/%{name}/rlm_eap-%{version}.so
%{_libdir}/%{name}/rlm_eap_md5-%{version}.so
%{_libdir}/%{name}/rlm_eap_tls-%{version}.so
%{_libdir}/%{name}/rlm_expr-%{version}.so
%{_libdir}/%{name}/rlm_fastusers-%{version}.so
%{_libdir}/%{name}/rlm_files-%{version}.so
%{_libdir}/%{name}/rlm_mschap-%{version}.so
%{_libdir}/%{name}/rlm_ns_mta_md5-%{version}.so
%{_libdir}/%{name}/rlm_pam-%{version}.so
%{_libdir}/%{name}/rlm_pap-%{version}.so
%{_libdir}/%{name}/rlm_preprocess-%{version}.so
%{_libdir}/%{name}/rlm_radutmp-%{version}.so
%{_libdir}/%{name}/rlm_realm-%{version}.so
%{_libdir}/%{name}/rlm_sql-%{version}.so
%{_libdir}/%{name}/rlm_unix-%{version}.so

%{_libdir}/%{name}/libradius.so
%{_libdir}/%{name}/rlm_acct_unique.so
%{_libdir}/%{name}/rlm_always.so
%{_libdir}/%{name}/rlm_attr_filter.so
%{_libdir}/%{name}/rlm_attr_rewrite.so
%{_libdir}/%{name}/rlm_chap.so
%{_libdir}/%{name}/rlm_counter.so
%{_libdir}/%{name}/rlm_dbm.so
%{_libdir}/%{name}/rlm_detail.so
%{_libdir}/%{name}/rlm_eap.so
%{_libdir}/%{name}/rlm_eap_md5.so
%{_libdir}/%{name}/rlm_eap_tls.so
%{_libdir}/%{name}/rlm_expr.so
%{_libdir}/%{name}/rlm_fastusers.so
%{_libdir}/%{name}/rlm_files.so
%{_libdir}/%{name}/rlm_mschap.so
%{_libdir}/%{name}/rlm_ns_mta_md5.so
%{_libdir}/%{name}/rlm_pam.so
%{_libdir}/%{name}/rlm_pap.so
%{_libdir}/%{name}/rlm_preprocess.so
%{_libdir}/%{name}/rlm_radutmp.so
%{_libdir}/%{name}/rlm_realm.so
%{_libdir}/%{name}/rlm_sql.so
%{_libdir}/%{name}/rlm_unix.so

%{_libdir}/%{name}/libradius-%{version}.la
%{_libdir}/%{name}/libradius.la
%{_libdir}/%{name}/rlm_acct_unique-%{version}.la
%{_libdir}/%{name}/rlm_acct_unique.la
%{_libdir}/%{name}/rlm_always-%{version}.la
%{_libdir}/%{name}/rlm_always.la
%{_libdir}/%{name}/rlm_attr_filter-%{version}.la
%{_libdir}/%{name}/rlm_attr_filter.la
%{_libdir}/%{name}/rlm_attr_rewrite-%{version}.la
%{_libdir}/%{name}/rlm_attr_rewrite.la
%{_libdir}/%{name}/rlm_chap-%{version}.la
%{_libdir}/%{name}/rlm_chap.la
%{_libdir}/%{name}/rlm_counter-%{version}.la
%{_libdir}/%{name}/rlm_counter.la
%{_libdir}/%{name}/rlm_dbm-%{version}.la
%{_libdir}/%{name}/rlm_dbm.la
%{_libdir}/%{name}/rlm_detail-%{version}.la
%{_libdir}/%{name}/rlm_detail.la
%{_libdir}/%{name}/rlm_eap-%{version}.la
%{_libdir}/%{name}/rlm_eap.la
%{_libdir}/%{name}/rlm_eap_md5-%{version}.la
%{_libdir}/%{name}/rlm_eap_md5.la
%{_libdir}/%{name}/rlm_eap_tls-%{version}.la
%{_libdir}/%{name}/rlm_eap_tls.la
%{_libdir}/%{name}/rlm_expr-%{version}.la
%{_libdir}/%{name}/rlm_expr.la
%{_libdir}/%{name}/rlm_fastusers-%{version}.la
%{_libdir}/%{name}/rlm_fastusers.la
%{_libdir}/%{name}/rlm_files-%{version}.la
%{_libdir}/%{name}/rlm_files.la
%{_libdir}/%{name}/rlm_mschap-%{version}.la
%{_libdir}/%{name}/rlm_mschap.la
%{_libdir}/%{name}/rlm_ns_mta_md5-%{version}.la
%{_libdir}/%{name}/rlm_ns_mta_md5.la
%{_libdir}/%{name}/rlm_pam-%{version}.la
%{_libdir}/%{name}/rlm_pam.la
%{_libdir}/%{name}/rlm_pap-%{version}.la
%{_libdir}/%{name}/rlm_pap.la
%{_libdir}/%{name}/rlm_preprocess-%{version}.la
%{_libdir}/%{name}/rlm_preprocess.la
%{_libdir}/%{name}/rlm_radutmp-%{version}.la
%{_libdir}/%{name}/rlm_radutmp.la
%{_libdir}/%{name}/rlm_realm-%{version}.la
%{_libdir}/%{name}/rlm_realm.la
%{_libdir}/%{name}/rlm_sql-%{version}.la
%{_libdir}/%{name}/rlm_sql.la
%{_libdir}/%{name}/rlm_unix-%{version}.la
%{_libdir}/%{name}/rlm_unix.la

%attr(0755,radius,radius) %dir /var/log/radius
%attr(0755,radius,radius) %dir /var/log/radius/radacct
%attr(0755,radius,radius) %dir /var/run/radiusd

%attr(0644,radius,radius) %ghost /var/log/radius/radutmp
%attr(0644,radius,radius) %ghost /var/log/radius/radwtmp
%attr(0644,radius,radius) %ghost /var/log/radius/radius.log

%attr(0644,root,root) %{_datadir}/snmp/mibs/*

%files			krb5
%defattr(-,root,root)
%{_libdir}/%{name}/rlm_krb5-%{version}.so
%{_libdir}/%{name}/rlm_krb5.so
%{_libdir}/%{name}/rlm_krb5-%{version}.la
%{_libdir}/%{name}/rlm_krb5.la

%files			ldap
%defattr(-,root,root)
%{_libdir}/%{name}/rlm_ldap-%{version}.so
%{_libdir}/%{name}/rlm_ldap.so
%{_libdir}/%{name}/rlm_ldap-%{version}.la
%{_libdir}/%{name}/rlm_ldap.la

%files			postgresql
%defattr(-,root,root)
%{_libdir}/%{name}/rlm_sql_postgresql.so.*
%{_libdir}/%{name}/rlm_sql_postgresql.so
%{_libdir}/%{name}/rlm_sql_postgresql.la

%files			mysql
%defattr(-,root,root)
%{_libdir}/%{name}/rlm_sql_mysql.so.*
%{_libdir}/%{name}/rlm_sql_mysql.so
%{_libdir}/%{name}/rlm_sql_mysql.la

%files			unixODBC
%defattr(-,root,root)
%{_libdir}/%{name}/rlm_sql_unixodbc.so.*
%{_libdir}/%{name}/rlm_sql_unixodbc.so
%{_libdir}/%{name}/rlm_sql_unixodbc.la

%files			devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/%{name}/*.a

#%files			web
#%defattr(-,root,root)
#%doc dialup_admin/FAQ
#%doc dialup_admin/TODO
#%doc dialup_admin/README
#%doc dialup_admin/AUTHORS
#%doc dialup_admin/Changelog
#%doc dialup_admin/HELP_WANTED
#%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/httpd/conf.d/a11_freeradius.conf
#%{_datadir}/%{name}-web/*

%changelog
* Sun Mar 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.1-1mdk
- initial cooker contrib
- used microscopic parts of the provided spec file and debian conf
- don't pack the web gui, it will be a separate package, if ever
- great thanks to Jim Tarvid at LSNet for testing!

